Summary: Utilities for managing ext2, ext3, and ext4 filesystems
Name: e2fsprogs
Version: 1.42.11
Release: 1%{?dist}.ovz

# License tags based on COPYING file distinctions for various components
License: GPLv2
Group: System Environment/Base
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: ext2_types-wrapper.h
Source2: e2fsck.conf

Url: http://e2fsprogs.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: e2fsprogs-libs = %{version}-%{release}
Requires: libcom_err = %{version}-%{release}
Requires: libss = %{version}-%{release}

# e4fsprogs was a parallel ext4-capable package in RHEL5.x
%if 0%{?rhel} > 0
Obsoletes: e4fsprogs < %{version}-%{release}
Provides: e4fsprogs = %{version}-%{release}
%endif

BuildRequires: pkgconfig, texinfo, libselinux-devel
BuildRequires: libsepol-devel
#BuildRequires: libblkid-devel
#BuildRequires: libuuid-devel
BuildRequires: gettext

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in second,
third and fourth extended (ext2/ext3/ext4) filesystems. E2fsprogs
contains e2fsck (used to repair filesystem inconsistencies after an
unclean shutdown), mke2fs (used to initialize a partition to contain
an empty ext2 filesystem), debugfs (used to examine the internal
structure of a filesystem, to manually repair a corrupted
filesystem, or to create test cases for e2fsck), tune2fs (used to
modify filesystem parameters), and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2, ext3, or ext4 filesystem.

%package resize2fs-static
Summary: Ext2/3/4 resize utility
Group: System Environment/Base
License: GPLv2 and LGPLv2

%description resize2fs-static
Ext2/3/4 resize utility

%prep
%setup -q

%build
%configure --disable-nls --disable-uuidd --disable-fsck \
	   --disable-e2initrd-helper #--disable-libblkid --disable-libuuid
make %{?_smp_mflags} libs
make -C resize all

%install
rm -rf %{buildroot}
export PATH=/sbin:$PATH
make -C resize \
	install DESTDIR=%{buildroot} INSTALL="%{__install} -p" \
	root_sbindir=%{_libexecdir}

rm -fr %{buildroot}/usr/share/man

%clean
rm -rf %{buildroot}

%files resize2fs-static
%defattr(-,root,root)
%{_libexecdir}/resize2fs

%changelog
* Mon Jul 21 2014 Kir Kolyshkin <kir@openvz.org> 1.42.11-1.ovz
- Updated to upstream 1.42.11
- (fix overly-pessimistic calculation of minimum size required)

* Thu Nov 28 2013 Kir Kolyshkin <kir@openvz.org> 1.42.3-3.2.ovz
- Rebuild for RHEL5 (OpenVZ bug #2810)

* Mon Dec 31 2012 Kir Kolyshkin <kir@openvz.org> 1.42.3-3.1.ovz
- Stripped down static version of resize2fs for OpenVZ
